Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::UnixDomainProtocolProperties_var Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::UnixDomainProtocolProperties_var:

[legend]
Collaboration diagram for RTCORBA::UnixDomainProtocolProperties_var:

[legend]
List of all members.

## Public Methods
| UnixDomainProtocolProperties_var (void)
| UnixDomainProtocolProperties_var (UnixDomainProtocolProperties_ptr p)
| UnixDomainProtocolProperties_var (const UnixDomainProtocolProperties_var &)
| ~UnixDomainProtocolProperties_var (void)
UnixDomainProtocolProperties_var & | operator= (UnixDomainProtocolProperties_ptr)
UnixDomainProtocolProperties_var & | operator= (const UnixDomainProtocolProperties_var &)
UnixDomainProtocolProperties_ptr | operator-> (void) const
| operator const UnixDomainProtocolProperties_ptr & () const
| operator UnixDomainProtocolProperties_ptr & ()
UnixDomainProtocolProperties_ptr | in (void) const
UnixDomainProtocolProperties_ptr & | inout (void)
UnixDomainProtocolProperties_ptr & | out (void)
UnixDomainProtocolProperties_ptr | _retn (void)
UnixDomainProtocolProperties_ptr | ptr (void) const
## Static Public Methods
UnixDomainProtocolProperties_ptr | tao_duplicate (UnixDomainProtocolProperties_ptr)
void | tao_release (UnixDomainProtocolProperties_ptr)
UnixDomainProtocolProperties_ptr | tao_nil (void)
UnixDomainProtocolProperties_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| UnixDomainProtocolProperties_var (const TAO_Base_var &rhs)
UnixDomainProtocolProperties_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
UnixDomainProtocolProperties_ptr | ptr_

## Constructor & Destructor Documentation

RTCORBA::UnixDomainProtocolProperties_var::UnixDomainProtocolProperties_var | ( | void |  | ) |

RTCORBA::UnixDomainProtocolProperties_var::UnixDomainProtocolProperties_var | ( | UnixDomainProtocolProperties_ptr | p | ) | `[inline]`

RTCORBA::UnixDomainProtocolProperties_var::UnixDomainProtocolProperties_var | ( | const UnixDomainProtocolProperties_var & |  | ) |

RTCORBA::UnixDomainProtocolProperties_var::~UnixDomainProtocolProperties_var | ( | void |  | ) |

RTCORBA::UnixDomainProtocolProperties_var::UnixDomainProtocolProperties_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

UnixDomainProtocolProperties_ptr RTCORBA::UnixDomainProtocolProperties_var::_retn | ( | void |  | ) |

UnixDomainProtocolProperties_ptr RTCORBA::UnixDomainProtocolProperties_var::in | ( | void |  | ) | const

UnixDomainProtocolProperties_ptr& RTCORBA::UnixDomainProtocolProperties_var::inout | ( | void |  | ) |

RTCORBA::UnixDomainProtocolProperties_var::operator const UnixDomainProtocolProperties_ptr & | ( |  | ) | const

RTCORBA::UnixDomainProtocolProperties_var::operator UnixDomainProtocolProperties_ptr & | ( |  | ) |

UnixDomainProtocolProperties_ptr RTCORBA::UnixDomainProtocolProperties_var::operator-> | ( | void |  | ) | const

UnixDomainProtocolProperties_var& RTCORBA::UnixDomainProtocolProperties_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

UnixDomainProtocolProperties_var& RTCORBA::UnixDomainProtocolProperties_var::operator= | ( | const UnixDomainProtocolProperties_var & |  | ) |

RTCORBA::UnixDomainProtocolProperties_var & RTCORBA::UnixDomainProtocolProperties_var::operator= | ( | UnixDomainProtocolProperties_ptr | p | ) |

UnixDomainProtocolProperties_ptr& RTCORBA::UnixDomainProtocolProperties_var::out | ( | void |  | ) |

RTCORBA::UnixDomainProtocolProperties_ptr RTCORBA::UnixDomainProtocolProperties_var::ptr | ( | void |  | ) | const

UnixDomainProtocolProperties_ptr RTCORBA::UnixDomainProtocolProperties_var::tao_duplicate | ( | UnixDomainProtocolProperties_ptr |  | ) | `[static]`

UnixDomainProtocolProperties_ptr RTCORBA::UnixDomainProtocolProperties_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

UnixDomainProtocolProperties_ptr RTCORBA::UnixDomainProtocolProperties_var::tao_nil | ( | void |  | ) | `[static]`

void RTCORBA::UnixDomainProtocolProperties_var::tao_release | ( | UnixDomainProtocolProperties_ptr |  | ) | `[static]`

CORBA::Object* RTCORBA::UnixDomainProtocolProperties_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

UnixDomainProtocolProperties_ptr RTCORBA::UnixDomainProtocolProperties_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp